EJB 3.0
  1. EJB 3.0
  2. EJBTHREE-1118

Abstract base classes of remote proxies are not declaring serialVersionUIDs

    Details

    • Type: Bug Bug
    • Status: Closed Closed (View Workflow)
    • Priority: Blocker Blocker
    • Resolution: Done
    • Affects Version/s: AS 4.2.1.GA, AS 4.2.2.GA
    • Fix Version/s: AS 5.0.0.Beta3, AS 4.2.3.GA
    • Component/s: None
    • Labels:
      None
    • Similar Issues:
      Show 10 results 

      Description

      javax.naming.CommunicationException [Root exception is java.io.InvalidClassException: org.jboss.ejb3
      .remoting.BaseRemoteProxy; local class incompatible: stream classdesc serialVersionUID = -2711693270411201590, local class serialVersionUID = 1126421850898582900]
      at org.jnp.interfaces.NamingContext.lookup(NamingContext.java:724)
      at org.jnp.interfaces.NamingContext.lookup(NamingContext.java:589)
      at javax.naming.InitialContext.lookup(InitialContext.java:351)
      ......

        Issue Links

          Activity

          Hide
          Robert Morse
          added a comment -

          Doesn't seem to be an issue in AS 4.2.1.GA

          Show
          Robert Morse
          added a comment - Doesn't seem to be an issue in AS 4.2.1.GA
          Hide
          Carlo de Wolf
          added a comment -

          The correct serialVersionUID is 1126421850898582900L

          Show
          Carlo de Wolf
          added a comment - The correct serialVersionUID is 1126421850898582900L
          Hide
          Carlo de Wolf
          added a comment -

          org.jboss.ejb3.session.BaseSessionRemoteProxy: static final long serialVersionUID = 8310915813626447181L;

          Show
          Carlo de Wolf
          added a comment - org.jboss.ejb3.session.BaseSessionRemoteProxy: static final long serialVersionUID = 8310915813626447181L;
          Show
          Carlo de Wolf
          added a comment - See also: https://bugs.eclipse.org/bugs/show_bug.cgi?id=203241
          Hide
          Vadim Kopichenko
          added a comment -

          It would be very nice if developers attached here compiled BaseRemoteProxy.class and BaseSessionRemoteProxy.class files, identical to those shipped with 4.2.2.GA but with corrected serialVersionUID-s.
          Then we would be able to safely patch existing 4.2.2.GA instances to make them usable for remote calls.

          Show
          Vadim Kopichenko
          added a comment - It would be very nice if developers attached here compiled BaseRemoteProxy.class and BaseSessionRemoteProxy.class files, identical to those shipped with 4.2.2.GA but with corrected serialVersionUID-s. Then we would be able to safely patch existing 4.2.2.GA instances to make them usable for remote calls.

            People

            • Assignee:
              Carlo de Wolf
              Reporter:
              Carlo de Wolf
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: